<?php echo $header; ?>
<div id="content">
  <div class="breadcrumb">
    <?php foreach ($breadcrumbs as $breadcrumb) { ?>
    <?php echo $breadcrumb['separator']; ?><a href="<?php echo $breadcrumb['href']; ?>"><?php echo $breadcrumb['text']; ?></a>
    <?php } ?>
  </div>
  <?php if ($error_warning) { ?>
  <div class="warning"><?php echo $error_warning; ?></div>
  <?php } ?>
  <div class="box">
    <div class="heading">
      <h1><img src="view/image/feed.png" alt="" /> <?php echo $heading_title; ?></h1>
      <div class="buttons"><a onclick="$('#form').submit();" class="button"><?php echo $button_save; ?></a><a href="<?php echo $cancel; ?>" class="button"><?php echo $button_cancel; ?></a></div>
    </div>
    <div class="content">
      <form action="<?php echo $action; ?>" method="post" enctype="multipart/form-data" id="form">
        <table class="form">
          <tr>
            <td><?php echo $entry_status; ?></td>
            <td><select name="arukereso_status">
                <?php if ($arukereso_status) { ?>
                <option value="1" selected="selected"><?php echo $text_enabled; ?></option>
                <option value="0"><?php echo $text_disabled; ?></option>
                <?php } else { ?>
                <option value="1"><?php echo $text_enabled; ?></option>
                <option value="0" selected="selected"><?php echo $text_disabled; ?></option>
                <?php } ?>
              </select></td>
          </tr>
		<tr>
            <td><?php echo $entry_minquantity; ?></td>
            <td><input name="arukereso_minquantity" value="<?php echo $arukereso_minquantity; ?>">
               </td>
          </tr>
		<tr>
            <td><?php echo $entry_shippingprice; ?></td>
            <td><input name="arukereso_shippingprice" value="<?php echo $arukereso_shippingprice; ?>">
               </td>
          </tr>
		<tr>
            <td><?php echo $entry_arukereso_delivery_time; ?></td>
            <td><input name="arukereso_delivery_time" value="<?php echo $arukereso_delivery_time; ?>">
               </td>
          </tr>
                    
          <tr>
            <td><?php echo $entry_data_feed; ?></td>
            <td><textarea cols="80" rows="2"><?php echo $data_feed; ?></textarea></td>
          </tr>
          <tr>
            <td>Rövid cím:<span class="help">.htaccess módosítás és engedélyezés szükséges</span></td>
            <td><input name="" type="text" size="80" value="<?php echo HTTP_CATALOG ?>arukereso.xml" style=""><br>
              <div style="margin:15px; 0">A működéshez a .htaccess fájlnak tartalmaznia kell az alábbi sort valahol a <code>RewriteBase</code> után</div><pre>
...
RewriteBase /
RewriteRule ^arukereso.xml$ index.php?route=feed/arukereso [L]
...</pre>
			
            </td>
          </tr>
        </table>
      </form>
    </div>
  </div>
</div>
<?php echo $footer; ?>