<?php 
set_time_limit(0);
ini_set('display_errors',"off");
class ControllerFeedArukereso extends Controller {
	
	private function getLists(){
			$this->config->set('config_error_display',false);
			$this->load->model('catalog/category');
			$this->load->model('catalog/product');
			$this->load->model('tool/image');
			$products = $this->model_catalog_product->getProducts();
			foreach ($products as $product) {
				//
				$id			  =$product['product_id'];
				$name		  =trim(html_entity_decode($product['name'], ENT_QUOTES, 'UTF-8'));
				$description  =html_entity_decode($product['description'], ENT_QUOTES, 'UTF-8');
				$manufacturer =html_entity_decode($product['manufacturer'], ENT_QUOTES, 'UTF-8');
				//$name		  =$product['name'];
				//$description  =$product['description'];
				//$manufacturer =$product['manufacturer'];
					if ((float)$product['special']) {
                        $price = $product['special'];
                    } else {
                        $price = $product['price'];
                    }
				$netto=$price;
				$price  = round( $this->tax->calculate($price, $product['tax_class_id'], $this->config->get('config_tax')));
				$url	= $this->url->link('product/product', 'product_id=' . $product['product_id']);
				$imgs = $this->model_catalog_product->getProductImages($id);
				$images=array();
				if($imgs){
				foreach($imgs as $i){
				$images[]=HTTP_SERVER .'image/'. $i['image'];
					}
				}
				$categories = $this->model_catalog_product->getCategories($id);
				foreach ($categories as $category) {
						$path = $this->getPath($category['category_id']);
						if ($path) {
							$category_string = '';				
							foreach (explode('_', $path) as $path_id) {
								$category_info = $this->model_catalog_category->getCategory($path_id);
								if ($category_info) {
									if (!$category_string) {
										$category_string = $category_info['name'];
									} else {
										$category_string .= ' > ' . $category_info['name'];
									}
								}
							}
						 
						}
					}

				if ($this->config->get('arukereso_minquantity') <= $product['quantity']) { 
				
				$feeds[]=array(
								"id"=>$id,
								"name"=>$name,
								"description"=>$description,
								"manufacturer"=>$manufacturer,
								"url"=>$url,
								"netto"=>$netto,
								"price"=>$price,
								"images"=>$images,
								"quantity" => $product['quantity'],
								"category_string"=>$category_string
																);
//			
				}

			}
			return $feeds; 	
	}

	public function index(){
				if ($this->config->get('arukereso_status')) { 

		$lists = $this->getLists();
			$output  = '<?xml version="1.0" encoding="UTF-8" ?>'."\n";
            $output .= "\t".'<products>'."\n";		
foreach($lists as $l){
            $output .= "\t".'<product>'."\n";	
            $output .= "\t"."\t".'<manufacturer><![CDATA['.$l['manufacturer'].']]></manufacturer>'."\n";
            $output .= "\t"."\t".'<category><![CDATA['.$l['category_string'].']]></category>'."\n";
            $output .= "\t"."\t".'<name><![CDATA['.$l['name'].']]></name>'."\n";
            $output .= "\t"."\t".'<description><![CDATA['.$this->html2text($l['description']).']]></description>'."\n";
			if(@$l['images'][0]){
            $output .= "\t"."\t".'<image_url><![CDATA['.$l['images'][0].']]></image_url>'."\n";
			}
			if(@$l['images'][1]){
            $output .= "\t"."\t".'<image_url_2><![CDATA['.$l['images'][1].']]></image_url_2>'."\n";
			}
			if(@$l['images'][2]){
            $output .= "\t"."\t".'<image_url_3><![CDATA['.$l['images'][2].']]></image_url_3>'."\n";
			}
			if(@$l['images'][3]){
            $output .= "\t"."\t".'<image_url_4><![CDATA['.$l['images'][3].']]></image_url_4>'."\n";
			}
			//"&utm_source=shopmania&utm_medium=cpc"
            $output .= "\t"."\t".'<price>'.$l['price'].'</price>'."\n";
            $output .= "\t"."\t".'<product_url><![CDATA['.$this->url->link('product/product', 'product_id=' . $l['id']).']]></product_url>'."\n";
			if ($this->config->get('arukereso_shippingprice')) { 
            $output .= "\t"."\t".'<delivery_cost>'.$this->config->get('arukereso_shippingprice').'</delivery_cost>'."\n"; 
			}
			
			if ($this->config->get('arukereso_delivery_time')) { 
            $output .= "\t"."\t".'<delivery_time>'.$this->config->get('arukereso_delivery_time').'</delivery_time>'."\n"; 
			}			
			
			$output .= "\t".'</product>'."\n";		
	
	}
			$output .= '</products>'."\n"; 
			$this->response->addHeader('Content-Type:text/xml');
		   // $this->response->addHeader("Content-Disposition: attachment; filename=\"".$_SERVER['HTTP_HOST']."_export.xml\"");
			$this->response->setOutput($output);
				}
		}
	
	protected function getPath($parent_id, $current_path = '') {
		$category_info = $this->model_catalog_category->getCategory($parent_id);
	
		if ($category_info) {
			if (!$current_path) {
				$new_path = $category_info['category_id'];
			} else {
				$new_path = $category_info['category_id'] . '_' . $current_path;
			}	
		
			$path = $this->getPath($category_info['parent_id'], $new_path);
					
			if ($path) {
				return $path;
			} else {
				return $new_path;
			}
		}
	}
	protected function html2text($prod_name){
		
		$prod_name = str_replace("&nbsp;", " ", $prod_name);
		$prod_name = str_replace("\n", " ", strip_tags($prod_name));
		$prod_name = str_replace("\r", " ", strip_tags($prod_name));
		$prod_name = str_replace("\t", " ", strip_tags($prod_name));
		return $prod_name;
		}	
}
?>